<div align="center">
  <h1><code>Rafael</code></h1>
</div>

[![Version][version badge]][package]
[![Bundle size][bundlephobia-badge]][bundlephobia]
[![Downloads][downloads badge]][npmtrends]
[![BSD-3-Clause License][license badge]][license]

[![Test status][test status badge]][test status]
[![Release status][release status badge]][release status]
[![Code Coverage][coveralls badge]][coveralls]
[![Maintainability][codeclimate badge]][codeclimate]

<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![PRs Welcome][prs badge]][prs]
[![All Contributors](https://img.shields.io/badge/all_contributors-1-orange.svg?style=flat-square)](#contributors-)
[![Code of Conduct][code of conduct badge]][code of conduct]
<!-- ALL-CONTRIBUTORS-BADGE:END -->

[![Watch on GitHub][github watch badge]][github watch]
[![Star on GitHub][github star badge]][github star]
[![Tweet][twitter badge]][twitter]
<!-- [![Dependencies][daviddm-badge]][daviddm] -->

Rafael.js is a client side library for managing multiple tasks based on the [`requestAnimationFrame`][requestAnimationFrame] loop.

### Why `requestAnimationFrame`?

However, `requestAnimationFrame` allows us to utilize the GPU, avoiding the performance bottlenecks of methods like [`setInterval`][setInterval] or [`setTimeout`][setTimeout]. `requestAnimationFrame` is intended to allow JavaScript animations to utilize the computer's GPU so it can be handled at ~60fps (performance depends on the machine).





[requestAnimationFrame]: https://developer.mozilla.org/en-US/docs/Web/API/window/requestAnimationFrame
[setInterval]: https://developer.mozilla.org/en-US/docs/Web/API/WindowTimers/setInterval
[setTimeout]: https://developer.mozilla.org/en-US/docs/Web/API/WindowTimers/setTimeout





[bundlephobia]: https://bundlephobia.com/package/rafael
[bundlephobia-badge]: https://img.shields.io/bundlephobia/minzip/rafael?style=flat-square
[code of conduct]: CODE_OF_CONDUCT.md
[code of conduct badge]: https://img.shields.io/badge/code%20of-conduct-ff69b4.svg?style=flat-square
[codeclimate]: https://codeclimate.com/github/trezy/rafael
[codeclimate badge]: https://img.shields.io/codeclimate/maintainability/rafael.svg?style=flat-square
[coveralls]: https://coveralls.io/github/trezy/rafael
[coveralls badge]: https://img.shields.io/coveralls/rafael.svg?style=flat-square
[downloads badge]: https://img.shields.io/npm/dm/trezy.svg?style=flat-square
[github watch]: https://github.com/trezy/rafael/watchers
[github watch badge]: https://img.shields.io/github/watchers/trezy/rafael.svg?style=social
[github star]: https://github.com/trezy/rafael/stargazers
[github star badge]: https://img.shields.io/github/stars/trezy/rafael.svg?style=social
[license]: LICENSE
[license badge]: https://img.shields.io/npm/l/rafael.svg?style=flat-square
[npmtrends]: https://www.npmtrends.com/rafael
[package]: https://npmjs.com/package/rafael
[prs]: CONTRIBUTING.md
[prs badge]: https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square
[quick start]: docs/quick-start.md
[release status]: https://github.com/trezy/rafael/actions/workflows/release.yml
[release status badge]: https://img.shields.io/github/workflow/status/trezy/rafael/Release?style=flat-square&label=release
[test status]: https://github.com/trezy/rafael/actions/workflows/test.yml
[test status badge]: https://img.shields.io/github/workflow/status/trezy/rafael/Test?style=flat-square&label=tests
[twitter]: https://twitter.com/intent/tweet?text=Check%20out%20Rafael%20by%20%40TrezyCodes%20https%3A%2F%2Fgithub.com%2Ftrezy%2Frafael%20%F0%9F%91%8D
[twitter badge]: https://img.shields.io/twitter/url/https/github.com/trezy/rafael.svg?style=social
[version badge]: https://img.shields.io/npm/v/rafael.svg?style=flat-square
